Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.extender.internal.activator
Class ListenerServiceActivator

    java.lang.Object
      org.eclipse.gemini.blueprint.extender.internal.activator.ListenerServiceActivator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class ListenerServiceActivator

extends Object
implements org.osgi.framework.BundleActivator

Initializes the event multicaster infrastructure.

Author:
  Bill Gallagher, Andy Piper, Hal Hildebrand, Adrian Colyer, Costin Leau, Olaf Otto

Constructor Summary
`ListenerServiceActivator(ExtenderConfiguration extenderConfiguration)`

Method Summary
`protected void` | `addApplicationListener(OsgiBundleApplicationContextEventMulticaster multicaster)`
`OsgiBundleApplicationContextEventMulticaster` | `getMulticaster()`
`protected void` | `initListenerService()`
`void` | `start(org.osgi.framework.BundleContext extenderBundleContext)`
`void` | `stop(org.osgi.framework.BundleContext extenderBundleContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListenerServiceActivator

    public ListenerServiceActivator(ExtenderConfiguration extenderConfiguration)

Method Detail

### start

    public void start(org.osgi.framework.BundleContext extenderBundleContext)
               throws Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Throws:
    `Exception`

### stop

    public void stop(org.osgi.framework.BundleContext extenderBundleContext)
              throws Exception

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Throws:
    `Exception`

### initListenerService

    protected void initListenerService()

### addApplicationListener

    protected void addApplicationListener(OsgiBundleApplicationContextEventMulticaster multicaster)

### getMulticaster

    public OsgiBundleApplicationContextEventMulticaster getMulticaster()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.